KDE4

Robert Daniels 0m3g4_w34p0n at earthlink.net
Tue Jan 29 09:28:42 PST 2008


Resending, first try sent directly to Chris instead of the list.  Did the same with another,
more minor reply to Bruce.  Hopefully I do right this time ;)

-----Original Message-----
>From: Chris Staub <chris at beaker67.com>
>Sent: Jan 29, 2008 11:06 AM
>To: Robert Daniels <0m3g4_w34p0n at earthlink.net>, BLFS Development List <blfs-dev at linuxfromscratch.org>
>Subject: Re: KDE4
>And a few questions/comments...
>
>> kdelibs
>>    Required: strigi, jpeg, giflib, libpng, libxml2, libxslt, shared-mime-info, qt4
>>    Optional: alsa, openssl, libintl, xorg, soprano, jasper, openexr, gssapi (kerberos), gamin, acl, avahi, aspell, hspell, enchant, pcre
>
>xorg? Why is that optional? Does qt4 not actually require you to have X?
>

Ummm...Oops? My mistake rushing through typing the list.  The check is to optionally
use opengl.  OpenGL -> Mesa -> Xorg.
X is of course required.

>> kdepimlibs
>>    Required: kdelibs, gpgme, boost
>>    Optional: openldap, cyrus-sasl
>> kdebase
>>    Required: kdelibs, qimageblitz
>> kdebase-runtime
>>    Required: kdepimlibs, samba
>>    Optional: soprano, xine
>
>I managed to install kdebase-runtime, and I don't have samba. Or did 
>this change in between prereleases? (I have 3.97.0) Guess I'll have to 
>try building KDE4 again and double-check...
>-- 
>http://linuxfromscratch.org/mailman/listinfo/blfs-dev
>FAQ: http://www.linuxfromscratch.org/blfs/faq.html
>Unsubscribe: See the above information page

Same excuse here.  The check is to use it optionally, and I don't even have 
any kind of logical thought process to explain it away. ;)



More information about the blfs-dev mailing list